I was sure to implement logic to prevent underflow/overflow attacks in functions that require arithmetic. I also was sure to prevent reentrancy attacks on functions that required an external call to send ETH.
